Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(108)

Unified Diff: remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh

Issue 10384126: Require an explicit command-line option from launchd. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 8 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « remoting/host/installer/mac/LaunchAgents/org.chromium.chromoting.plist ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
diff --git a/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh b/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
index 9e01d27d0aec56870eb86ce157bc04c794f5afa7..2a5845e3ee255f065ae9f47f1ecff9b17803b29a 100755
--- a/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
+++ b/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
@@ -82,6 +82,9 @@ elif [[ "$1" = "--enable" ]]; then
elif [[ "$1" = "--save-config" ]]; then
echo $$
cat > "$CONFIG_FILE"
-else
+elif [[ "$1" = "--run-from-launchd" ]]; then
run_host
+else
+ echo $$
+ exit 1
fi
« no previous file with comments | « remoting/host/installer/mac/LaunchAgents/org.chromium.chromoting.plist ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698